Bug 1004014 - CPU pinning not properly loaded to WA portal Virtual Machine tab
CPU pinning not properly loaded to WA portal Virtual Machine tab
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
low Severity low
: ---
: 3.3.0
Assigned To: Alexander Wels
Lukas Svaty
: Triaged
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
Reported: 2013-09-03 13:30 EDT by Lukas Svaty
Modified: 2016-02-10 15:18 EST (History)
10 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19707 None None None Never
oVirt gerrit 19933 None None None Never

  None (edit)
Description Lukas Svaty 2013-09-03 13:30:25 EDT
Description of problem:
When VM cpu is pinned to Host CPU. Cpu pinning disappears from edit VM tab and cpu is not pinned after few changes on cpu share.

Vm settings:
Start running on specific host - RHEL6.4
Migration - Do not allow host migration
Use Host CPU - checked
Cpu shares: Custom - 1/10/12 (different values)
CPU Pinning topology - 0#0

Version-Release number of selected component (if applicable):

How reproducible:
1 out of 3 times

Steps to Reproduce:
1. Add Vm with described settings
2. Save
3. Try edit VM cpu shares to different values and save
4. if cpu pinning topology did not disappear go to step 3

Actual results:
After 3rd/4th change cpu pinning topology disappeared. Sometimes sooner sometimes later. I'm not sure if time of edit VM action plays a role in this or it is connected to something else.

Additional info:
Check VSDM, engine, libvitrd logs and nothing unordinery showed up there.
Comment 1 Alexander Wels 2013-09-26 14:35:22 EDT

I was able to reproduce this on Monday (Sept 23rd), but I didn't get around to looking into what was wrong until a few days later, at which point I grabbed the latest master and was completely unable to reproduce, so I think something between the 23rd and 26th fixed this issue.

Can you try to reproduce with latest master and let me know if this is still an issue for you?
Comment 2 Alexander Wels 2013-09-26 14:59:00 EDT
Nevermind I didn't do one essential step in the process, I forgot to mark the VM to not allow migration, once I turn that one, I can reproduce without fail.
Comment 3 Lukas Svaty 2013-09-27 08:08:12 EDT
Tested this again in is16 still reproducable...

After I set cpu pinning to 0#0 and reopen VM options tab, even when I can't see CPU Pinning in webadmin I can still see it in /api/vms (it is not properly loaded into webadmin portal) after saving the Vm options without CPU Pinning filled Cpu Pinning is removed from /api/vms as expected
Comment 4 Lukas Svaty 2013-09-27 08:23:56 EDT
changing title due to reproduction without cpu share editting

I was able to reproduce it just by repeatedly openning VM edit tab and closing it
Comment 5 Lukas Svaty 2013-10-17 12:17:28 EDT
tested in is19
Comment 6 Peter McGowan 2013-11-22 04:20:14 EST
Also seen on 3.2.40-0.44

The XML from the API shows the setting to have been added to the VM, but the UI shows the CPU Pinning topology as blank. Clicking OK (rather than Cancel) actually applies the blank topology and removes the pinning.

This seems to be an intermittent problem, but most times the CPU Pinning topology box is blank. I've only been able to get it to display any pinning topology after randomly clicking elsewhere in the UI (for example Clusters -> Edit -> Optimisation), then returning to Virtual Machines, clicking around (unscientifically), clicking on Host side-tab and occasionally the topology will be displayed.
Comment 7 Itamar Heim 2014-01-21 17:28:54 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:28:58 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:31:54 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.